Page MenuHomePhabricator

Message key "mediastatistics-header-" visible on Special:MediaStatistics
Closed, ResolvedPublic

Description

On https://commons.wikimedia.org/wiki/Special:MediaStatistics?uselang=en it is shown that Commons has 0 files of the type ".rg", and they are classified as "". Like on https://translatewiki.net/wiki/Special:MediaStatistics?uselang=en I would expect the type to be classified as "Unknown", but because it's "", the type description is fetch from [[MediaWiki:mediastatistics-header-]], which obviously doesn't exist.


Version: unspecified
Severity: normal
URL: https://commons.wikimedia.org/wiki/Special:MediaStatistics?uselang=en

Details

Reference
bz72535

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:51 AM
bzimport set Reference to bz72535.
bzimport added a subscriber: Unknown Object (MLST).
siebrand created this task.Oct 26 2014, 4:47 PM

I think its because commons has an entry in image table with all fields null.

Gilles triaged this task as Low priority.Nov 24 2014, 1:47 PM
Gilles added a subscriber: Gilles.

Change 192886 had a related patch set uploaded (by Brian Wolff):
Exclude null rows from Special:MediaStatistics

https://gerrit.wikimedia.org/r/192886

Change 192886 merged by jenkins-bot:
Exclude null rows from Special:MediaStatistics

https://gerrit.wikimedia.org/r/192886

Bawolff closed this task as Resolved.Feb 26 2015, 5:43 PM
Bawolff claimed this task.

Change 350434 had a related patch set uploaded (by Bartosz Dziewoński):
[mediawiki/core@master] SpecialMediaStatistics: Remove WMF-specific hack, no longer needed

https://gerrit.wikimedia.org/r/350434

Restricted Application added a project: Commons. · View Herald TranscriptApr 26 2017, 3:39 PM

Change 350434 merged by jenkins-bot:
[mediawiki/core@master] SpecialMediaStatistics: Remove WMF-specific hack, no longer needed

https://gerrit.wikimedia.org/r/350434